﻿//Matt Monasch: mpm1052@rit.edu
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework.Audio;

namespace BaalaAgni.Effects
{
    public class SoundEffect : IEffect
    {
        private string effectName;//This will set soundeffcts apart from other collisioneffects
        public string EffectName
        {
            get { return effectName; }
            set { EffectName = value; }

        }

        private string effectType;//This will set all soundeffects apart from other types of effects
        public string EffectType
        {
            get { return effectType; }
            set { effectType = value; }
        }

        private Microsoft.Xna.Framework.Audio.SoundEffect sound;
        public Microsoft.Xna.Framework.Audio.SoundEffect Sound
        {
            get { return sound; }
            set { sound = value; }
        }

        public SoundEffect(Microsoft.Xna.Framework.Audio.SoundEffect newSound)
        {
            effectName = "sound";
            effectType = "sound";
            sound = newSound;
        }

        public void performEffect(Entity en)
        {
            //Entity is not used, however there would be errors if it were not a parameter 
            sound.Play(1f, 0.0f, 0.0f, false);
        }
    }
}
